//*----------------------------------------------*//
//	コマンド入力で画像を切替えたりなどする
//	http://privatemoon.jp/
//*----------------------------------------------*//
//コマンドを定義【編集可】
//デフォルトコマンド：↑↑↓↓←→←→BA
//キー番号で定義する。↑(38)、↓(40)、←(37)、→(39)、B(66)、A(65)
var COMMAND_PATTERN = new Array(38,38,40,40,37,39,37,39,66,65);

//確認ダイアログの文言【編集可】
var COMMAND_CONFIRM = "モード変更しますか？";

//切り替える画像のディレクトリ【編集可】
//※デフォルトでは　image/aaa.jpg → image/r/aaa.jpg　を探しに行く
//image直下のrディレクトリの名前を変えたい場合はCOMMAND_DIRを編集
var COMMAND_DIR = "r";

//*---------------------以下は編集不可-------------------------*//
var COMMAND_FLAG = 0;
//キーコードを取得して返す
function keyCode(e){
	if(document.all)
		return  e.keyCode;
	else if(document.getElementById)
		return (e.keyCode)? e.keyCode: e.charCode;
	else if(document.layers)
		return  e.which;
}
//コマンドチェック関数
function CheckCommand(key){
	var len = COMMAND_PATTERN.length;
	if(COMMAND_FLAG < len){
		if (key == COMMAND_PATTERN[COMMAND_FLAG]) {
			COMMAND_FLAG++;
		}else{
			COMMAND_FLAG = 0;
		}
	}
	if(COMMAND_FLAG == len){
		if (confirm(COMMAND_CONFIRM)) {
			COMMAND_FLAG++;
			SwitchCommandImage();
		}else{
			COMMAND_FLAG = 0;
		}
	}
}

//画像を切替える
function SwitchCommandImage() {
	var images = document.getElementsByTagName("img");
	
	for (var i in images) {
		var cn = images[i].className;
		if (cn && cn.match(/kc\-image/) ) {
			var npass = images[i].src;
			var ns = npass.split("/");
			ns[ns.length-1] = COMMAND_DIR+"/"+ns[ns.length-1];
			var rpass = ns.join("/");
			images[i].src = rpass;
		}
	}
	
}

//onkeydownに仕込む
var def_doc = document.onkeydown;
document.onkeydown = function(){
	if(def_doc){			//すでに何かあった場合は先に処理
		def_doc();
	}
	//イベントハンドラからキーコードを取得してコマンドチェックに投げる
	var e = (arguments[0] || window.event);
	CheckCommand(keyCode(e));
}
